🏢 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • Problem with shadows...

    3
    0 Votes
    3 Posts
    798 Views
    C
    That looks great! Thank you very much, you really helped me...
  • Does "C" equal "C" ?

    14
    0 Votes
    14 Posts
    614 Views
    Dan RathbunD
    @martinrinehart said: ... I stumbled acrossthe Ruby File.expand_path() method that looks like a better replacement for the little fixup() function I wrote. If you File.expand_path(__FILE__) you get the full path back to the root, on a Mac, or the drive, on a PC. Perfect! If you look back at the original thread, and reread more carefully, you'll see ThomThom told you to use File.expand_path() two weeks before you "stumbled across" it! I've been wondering why you didn't take his advice... (and do you have a copy of the 'Pick-Axe' Ruby book in chm format?)
  • Flightpath2.rb

    10
    0 Votes
    10 Posts
    3k Views
    halroachH
    @fletch said: all my scenes were playing smoothly inside of SU. then I ran the FP2 script to create a 'better' cam path (instead of SU's natural 'pillowing' or 'arcing' effect for the cam transitions) After that I ran the scene timing script... trying to eliminate SU from stopping on each frame. 2 things occured. while it exports smoothly as an .avi, it plays stop-n-go in SU next time I tried to add some SU cams moving along another are of the same model, they were stop-n-go, instead of playing smoothly. Fascinatingly... I opened the file the next day, and the transitions were smooth even with the scenes that were stop-n-go the previous day. I don't know what to tell you, Rick. It's completely unpredictable. I am running SU on a very hi-end graphics card and have 3Gigs of Ram... so am very confused. Hi, I have noticed that animations within SU are smooth and quick, until I start checking and unchecking layer visibilities for each scene. Sketchup 'hiccups' when it has to load or unload layers between the scenes. Could that be what you were experiencing? Does anyone else have this problem?
  • [Bug] view.draw_points kills next draw instruction

    6
    0 Votes
    6 Posts
    924 Views
    Chris FullmerC
    I just noticed a similar "bug", but it occured when I supplied a nil value as a point3d to the draw_text method. So I thought I had recreated Thom's bug, but really it was just because I gave the method a non-existant instance variable. Chris
  • How many attributes can be attached to an entity

    8
    0 Votes
    8 Posts
    412 Views
    AdamBA
    @jhauswirth said: There's no limit (at least in the code). RAM and HD space would be the limits. Might sound like a silly question. But are you certain of that? I believe there is a buffer overrun somewhere if you have large data attached as attributes somewhere in the handling of it inside Sketchup. LightUp stores Lempel-Ziff compressed hex strings on entities and by trial and error, I came to the conclusion anything larger than 700000 bytes kills Sketchup. So I split up data into <700000 char chunks it works fine.
  • RenderingOptions['BandColor'] - what is it?

    3
    0 Votes
    3 Posts
    118 Views
    thomthomT
    @unknownuser said: Perhaps it refers to the color of the letterbox bands when you change the aspect ratio. Bingo!! I would not have guessed to try that. Makes sense now - since the default colour was 50% black. That's a very interesting property. 50% white looks nicer.
  • SectionPlanes

    5
    0 Votes
    5 Posts
    110 Views
    thomthomT
    Can one at least find out if the User has Section cuts enabled or not? (not induvidual cuts - but the global setting) I'm looking at the Rendering Options - can't see anything related...
  • View.draw(GL_POINTS, points) - point size?

    9
    0 Votes
    9 Posts
    2k Views
    thomthomT
    I don't know if/how one would issue that in SU Ruby :/. What is more: I closed SU and renamed my plugins folder - testing only my own script. The points where drawn as pixels as I saw at the office. When I restored the plugin folder I still saw the points drawn as single pixels! So there must have been some odd glitch. I did have that SU session open for a few days where I just put my computer in sleep mode. Maybe some other plugins changed the point size - when I ran it. Or some external glitch.... Really don't understand how it occurred. But I do want the effect of that glitch.
  • Default constants

    6
    0 Votes
    6 Posts
    364 Views
    Dan RathbunD
    from Windows SDK, WinUser.h, line 2373... [language=C]: *` %(#008B8B)[/ Key State Masks for Mouse Messages / #define MK_LBUTTON 0x0001 #define MK_RBUTTON 0x0002 #define MK_SHIFT 0x0004 #define MK_CONTROL 0x0008 #define MK_MBUTTON 0x0010 #if(_WIN32_WINNT >= 0x0500) #define MK_XBUTTON1 0x0020 #define MK_XBUTTON2 0x0040 #endif / _WIN32_WINNT >= 0x0500 /]`*
  • [FIXED!!!] Anyone seen this web dialog bug?

    11
    0 Votes
    11 Posts
    2k Views
    Dan RathbunD
    @unknownuser said: So.... being the inquisitive guy I am... I removed the "false" from return false;. That did the trick!! Go figure. return [( [expression] [)];] @unknownuser said: "If expression is omitted, or no return statement is executed from within the function, the expression that called the current function is assigned the value undefined." http://msdn.microsoft.com/en-us/library/22a685h9(VS.85).aspx void expression @unknownuser said: "The void operator evaluates its expression, and returns undefined. It is most useful in situations where you want an expression evaluated but do not want the results visible to the remainder of the script. The expressionargument is any valid JScript expression." http://msdn.microsoft.com/en-us/library/e17c7cbe(VS.85).aspx .. this is why you often see void(0); used in the HREF attribute for controls (such as a <A> tag,) that display popups or alert boxes. ADDED: See SCF topic: [url=http://forums.sketchucation.com/viewtopic.php?f=180&t=25252:dqe1rmdx]Webdialogs and Javascript void[/url:dqe1rmdx] therefore... you should be able to do it in the input tag thus: onclick="void( window.location='skp:setvalue@' + toHex(document.getElementById('ifield').value) );" .. and shouldn't need to have a function call. EDIT: put MSDN quotes in quoteboxes for clarity.
  • Reset All Face UV's in a selection

    4
    0 Votes
    4 Posts
    766 Views
    D
    TT to the rescue again. Many thanks. I tried it the first way as well but found the send_action call didn't work either. Your second method works like a champ. You're a star.
  • Point/Vertex.is_visible? how?

    7
    0 Votes
    7 Posts
    257 Views
    thomthomT
    One additional problem with raytest: if you have a group/component open and you want to get a list of visible verties/3d points, then raytest won't be any good if there is geometry outside that scope between the camera and the vertices. Even if Hide Rest of Model is enabled. Alternative to that is to manually iterate all faces and intersect eye-point. Horrendously slow!
  • Webdialog vs browser

    6
    0 Votes
    6 Posts
    310 Views
    thomthomT
    I don't care - I'm not supporting it. IE updates with the system unless they block it. If they do - then their loss. That pesky thing needs to die.
  • How to move a group?

    6
    0 Votes
    6 Posts
    231 Views
    M
    thank u,i have got it...
  • Is a group in the shadow of another object?

    2
    0 Votes
    2 Posts
    79 Views
    Chris FullmerC
    There is nothing built in that specifically tests this. But you could make it using ray_test. I'm not sure how fast it is especially over larger models. But if you had to, you could. Someone else might even have made something similar already, Chris
  • How to get a intersection btween a line and a face

    4
    0 Votes
    4 Posts
    201 Views
    TIGT
    You could also look at model.raytest The point could be one that you used for your vertical edge and the vector is [0,0,-1] It will return any array raytest[0] is the intersection point and raytest[1][-1] is the face or edge it hits... http://code.google.com/apis/sketchup/docs/ourdoc/model.html#raytest
  • Backface UVs - How?

    3
    0 Votes
    3 Posts
    107 Views
    D
    @thomthom said: what flags did you use when you obtained the PolygonMesh? Face.mesh http://code.google.com/intl/nb/apis/sketchup/docs/ourdoc/face.html#mesh @unknownuser said: Add these numbers together to combine flags. A value of 5 will include all flags, for example. This is wrong. 7 is the value if you want to include them all. It's a bitwise combination of the optional values. Thanks for that. Indeed, I was using 5 instread of 7 as the mesh flag. Thanks again
  • How to get a selected object center?

    3
    0 Votes
    3 Posts
    134 Views
    M
    @chris fullmer said: because you are finding the bounding box for the first entitiy in the list of entities. What you want is to find the bounding box of the first entitiy in the selection set I would bet. model = Sketchup.active_model sel = model.selection first_entity = sel[0] try that i got it ,thank u ~
  • Plugin Idea: Flashbulb

    6
    0 Votes
    6 Posts
    455 Views
    X
    whaat you could make a component (dynamic if you light) call it camera_light and then use the align camera light ruby.
  • Matrix Multiplication Explained

    10
    0 Votes
    10 Posts
    691 Views
    TIGT
    That 'that' is manually rotating about a point and then scaling in a certain axis often gives quite different results from scaling in a certain axis then rotating about the same point That is that !

Advertisement